:root {
    --main-color: #fff;
    --text-color: #000;


    --second-text: #6f6666;
}


@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600&family=Poppins:wght@600;700&display=swap');

/* ===== GLOBAL FONT ===== */
* {
    font-family: 'Inter', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Headings */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Poppins', sans-serif;
    font-weight: 700;
}

/* Optional: better text look */
body {
    line-height: 1.6;
    letter-spacing: 0.2px;
}




h1 {
    font-size: 1.2rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.5rem;
}

p {
    margin: 1em 0;
    text-align: justify;
}

a {
    text-decoration: none;
    font-weight: 500;
    transition: 0.3s;
    color: aliceblue;

}

a:hover {
    color: #22c55e;
}

/* ============================================================= */

.btn,
.btns {

    margin-top: 25px;
    padding: 8px 15px;
    font-size: 1.1rem;
    border-radius: 12px;
    cursor: pointer;
    background-color: #c2c1c1;
    border: 2px solid var(--text-color, #000);
    color: var(--btn, #0d29ff);
    transition: .3s;
    font-weight: 600;
    display: inline-flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;

}


.btn:hover {
    background: rgba(0, 102, 255, 0.202);
    color: #000000;
    border: 2px solid #0d29ff;
    box-shadow: 0 0 5px rgb(0, 100, 255);
}

.btns {
    background: transparent;
}

.btns:hover {
    color: #000000;
    border: 2px solid #0d29ff;
    box-shadow: 0 0 5px rgb(0, 100, 255);
}

/* Social Icons */
.social-icons {
    overflow: auto;
    margin-top: 30px;
    display: flex;
    gap: 25px;
    scrollbar-width: none;
    height: 60px;
    align-items: flex-end;
    width: 80%;

}

.social-icons a {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background: rgba(0, 234, 255, 0.1);
    color: rgb(0, 100, 255);
    font-size: 1.2rem;
    transition: all 0.3s ease;
    border: 1px solid rgba(0, 234, 255, 0.3);
    padding: 12px;
}

.social-icons a:hover {
    background: rgb(0, 100, 255);
    color: #ffffff;
    transform: translateY(-5px);
    box-shadow: 0 5px 15px rgba(0, 234, 255, 0.4);
}


@media (max-width:750px) {


    .social-icons {
        overflow: auto;
        margin-top: 30px;
        display: flex;
        gap: 25px;
        scrollbar-width: none;
        height: 60px;
        align-items: flex-end;
        width: 80%;
        width: 450px;
    }
}

@media (max-width:450px) {

    .social-icons {
        width: 90%;
        max-width: 300px;
        margin-top: 20px;
        gap: 25px;
        scrollbar-width: none;
        height: 60px;
    }


    .btn,
    .btns {
        margin-top: 25px;
        padding: 5px 10px;
        font-size: 0.9rem;
        border-radius: 12px;
        cursor: pointer;
        background-color: #c2c1c1;
        border: 2px solid var(--text-color, #000);
        color: var(--btn, #0d29ff);
        transition: .3s;
        font-weight: 600;
        display: inline-flex;
        align-items: center;
        gap: 10px;
        text-decoration: none;
    }
}


/* ------------------------------------------------------------------------------- */


















/* ================================
   SOCIAL ICONS – FONT AWESOME FIX
================================ */






:root {
    /* Colors */
    --primary: #0f72ff;
    --primary-light: #3b82f6;
    --secondary: #8b5cf6;
    --dark: #1e293b;
    --light: #00000021;
    --muted: #8f9194;
    --card: #d3d1d1;
    --bg: #fafdff7f;
    --text: #949eae;
    --glass: rgba(161, 155, 155, 0.497);

    /* Hero specific colors */
    --hero-accent: #00eaff;
    --hero-shadow: 0 0 10px #00eaff;
    --hero-glow: 0 0 20px #00eaff;

    /* Layout */
    --radius: 12px;
    --shadow: 0 10px 25px rgba(0, 0, 0, 0);
    --gradient: linear-gradient(135deg, var(--primary), var(--secondary));
    --container: 1500px;
}





/* hero-------------------------------- */



body {
    background: #fff;
    color: #111;
    transition: 0.3s;
    opacity: 0.9;
}



body.dark {
    background: #121212;
    color: #f1f1f1;
}























/* //////////////////////////////////////// */


/* ===== HEADER ===== */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 175px 15px 100px;
    padding: 10px 15px;
    background: #e3e2e2ec;
    position: sticky;
    top: 0;
    z-index: 100;
}

.header a {
    color: #000000;
}

.header a:hover {
    color: #59c2ff;
}

.header-le {
    font-weight: 500;
    font-size: 1.5rem;
}

.header-ri ul {
    display: flex;
    gap: 25px;
    gap: 60px;
    list-style: none;
}

.header-ri ul {
    display: flex;
    gap: 20px;
}

.header-ri {
    overflow: auto;
    max-width: 60%;
    white-space: nowrap;
    scrollbar-width: none;
}

.menu-toggle {
    display: none;
    font-size: 24px;
    background: none;
    border: none;
    cursor: pointer;
}

#themeToggle {
    font-size: 22px;
    padding: 4px 10px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    position: fixed;
    right: 80px;
    background-color: #11111100;
    top: 13px;
}

#account {
    font-size: 22px;
    padding: 4px 10px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    position: fixed;
    right: 20px;
    background-color: #11111100;
    top: 13px;
}

.account {
    border-radius: 50%;

}


@media (max-width: 768px) {

    header {
        padding: 10px;
    }

    #themeToggle {
        right: 100px;
    }

    #account {
        right: 40px;
    }

    .menu-toggle {
        display: block;
    }

    .header-ri {
        position: absolute;
        top: 60px;
        right: 0;
        width: 100%;
        background: #e3e2e2ec;
        color: rgb(0, 0, 0);
        display: none;
        flex-direction: column;
        text-align: center;
        padding: 15px 0;
    }

    .header-ri.active {
        display: flex;
        text-align: start;
        width: 40%;
        height: 100vh;
        padding: 25px;
        top: 58px;
    }

    .header-ri ul {
        flex-direction: column;
        gap: 15px;
    }


    .header-ri ul li a {
        display: block;
        max-width: 100%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

}















/* ------------------------------------------------------------------------ */

/* ================ hero section=============== */


.hero {
    min-height: 100vh;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 70px;
    flex-wrap: wrap;
    max-width: 1350px;
    margin: auto;
}

.hero-left {
    flex: 1;
    min-width: 300px;
    padding-right: 20px;
}


.greeting {
    font-size: 1.1rem;
    font-weight: 500;
    margin-bottom: 10px;
    text-shadow: 0 0 10px #5b029bb4;
}

.title-3d {
    font-size: 4rem;
    font-weight: 800;
    perspective: 900px;
    line-height: 1.1;
    margin-bottom: 20px;
}

.title-3d span {
    color: rgba(0, 102, 255, 0.708);
    text-shadow: 0 0 20px #888889ac;
}


.sub {
    margin-top: 15px;
    max-width: 500px;
    opacity: 0.9;
    font-size: 1.2rem;
    line-height: 1.6;
    margin-bottom: 10px;
}

.hero-btn-box {
    display: flex;
    gap: 50px;
}

.hero-btn-box li {
    list-style: none;
}

.hero-right {
    flex: 1;
    display: flex;
    min-width: 300px;
    justify-content: center;
    align-items: flex-end;
    flex-direction: column;
}

.status-box {
    width: 320px;
    padding: 15px 25px;
    border-radius: 12px 12px 0 0;
    background: #111;
    background: #0f172a;
    color: #fff;
    font-family: Arial, sans-serif;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.4);
}


.status-header {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 10px;
}


.dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;
}

.online {
    background: #00ff88;
}

.offline {
    background: red;
}

.status-text {
    font-weight: bold;
}

.status-details p {
    font-size: 13px;
    margin: 4px 0;
    color: #ccc;
}


.card3d {
    width: 320px;
    height: 320px;
    background: #0f172a;
    border-radius: 0 0 25px 25px;
    border: 1px solid rgb(0, 100, 255)66;
    box-shadow: 0px 0px 40px rgb(0, 100, 255)44;
    display: flex;
    align-items: center;
    justify-content: center;
    perspective: 1000px;
    transition: transform 0.2s ease-out;

}

.cube {
    width: 220px;
    height: 220px;
    background: linear-gradient(135deg, rgb(0, 100, 255)80, #003bff80);
    border: 2px solid rgb(0, 100, 255);
    border-radius: 20px;
    box-shadow: 0 0 25px rgb(0, 100, 255)88, inset 0 0 20px rgb(0, 100, 255)44;
    animation: float 3s ease-in-out infinite alternate;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cube img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 18px;
}

@keyframes float {
    0% {
        transform: translateY(-15px) rotateY(0deg);
    }

    100% {
        transform: translateY(15px) rotateY(25deg);
    }
}




























@media (max-width: 1024px) {
    .hero {
        padding: 50px;
    }
}

@media (max-width: 768px) {
    .hero {
        flex-direction: column;
        padding: 30px;
        justify-content: center;
        gap: 50px;
    }

    .hero-left {
        padding-right: 0;
    }

    .title-3d {
        font-size: 3rem;
    }

    .card3d {
        width: 280px;
        height: 280px;
    }

    .status-box {
        width: 280px;
    }

    .cube {
        width: 160px;
        height: 160px;
    }

}

@media (max-width: 480px) {


    .title-3d {
        font-size: 2.5rem;
    }

    .sub {
        font-size: 1rem;
    }

    .card3d {
        width: 280px;
        height: 300px;
    }

    .cube {
        width: 200px;
        height: 200px;
    }
}















/* /====================================================================== */
.section {
    padding: 100px 0;
    margin: auto;
}


.max-width {
    max-width: 1300px;
    padding: 0 80px;
    margin: auto;
}

.tital {
    text-align: center;
    font-weight: 800;

}

.tital-h2 {
    position: relative;
    font-size: 40px;
    font-weight: 500;
}

.tital-p {
    position: relative;
    margin: 0;
}


/* /=================== about =================================================== */

.about {
    background-color: #000;
    color: white;

}

.about-box {
    display: flex;
    padding: 30px 0;
    align-items: center;
}

.about-L {
    flex: 0.7;
    display: flex;
    align-items: center;
    justify-content: flex-start;

}

.about-R {
    flex: 1;

}

.about-img {
    width: 380px;
    height: 380px;
    border-radius: 10px;
    overflow: hidden;
}

.about-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


@media (max-width:1200px) {
    .about-img {
        width: 350px;
        height: 360px;
        border-radius: 10px;
        overflow: hidden;
    }

    .section {
        padding: 20px 0;
    }

    .max-width {
        padding: 0 30px;
    }
}

@media (max-width:720px) {
    .about-box {
        display: flex;
        padding: 30px 0;
        align-items: center;
        flex-direction: column;
    }

    .about-img {
        display: none;
    }
}


/* =============== skills ===================================== */
.skills {
    background-color: #fff;
    color: #000;

}

.skills-box {
    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 30px 0;
}

.skills-box div {
    padding: 20px;

}

.skills-box li {
    padding: 5px;
    border-radius: 5px;
}

.skills-box li:hover {
    background-color: #5d5d5d6e;
}

.box1 {
    max-width: 500px;
}


.box1 ul li {
    list-style: none;
    display: flex;
}

.skills-box li {
    background-color: rgba(230, 230, 230, 0.378);
    margin: 10px;
}

.skills-box2 .box1 {
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width:720px) {
    .skills-box {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 30px 0;
        flex-direction: column;
    }
}


/* ================ experience ===================================== */

.experience {
    background-color: #000;
    color: #fff;
}




/* =================== contact =================================== */


.contact-box {
    display: flex;
    padding: 40px 0;
    justify-content: space-around;
    align-items: center;
    gap: 50px;
}

/* .contact-box ul {
    padding: 0 20px;
} */

.contact-box li {
    background-color: transparent;
    background-color: rgba(245, 245, 220, 0);
    color: #000000;
    font: 1.4rem;
    font-weight: 700;
}

.contact-box span {
    padding: 0 10px;

}

.contact-box .btns {

    display: flex;
    justify-content: space-around;
}

.box {
    width: 400px;
    padding: 10px;
    margin: 10px 0;
}

.boxs {
    width: 400px;
    padding: 15px;
    margin: 15px 0;
}

#contactForm {
    display: flex;
    flex-direction: column;

}

@media (max-width:720px) {

    .contact-box {
        display: flex;
        padding: 40px 0;
        justify-content: space-around;
        flex-direction: column;
    }


    .box {
        width: 290px;
        padding: 10px;
        margin: 10px 0;
    }

    .boxs {
        width: 290px;
        padding: 15px;
        margin: 15px 0;
    }

}




/* ===================================== */




footer {
    background-color: black;
    color: aliceblue;
}

.footer {

    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1300px;
    margin: auto;

    background: #020617;
    color: #ffffff;

    padding: 0 10px;

}






@media (max-width:720px) {
    .footer {
        padding: 0 10px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        max-width: 1300px;
        margin: auto;
        flex-direction: column;
    }
}



/* ================================================== */
/* new */
@media (min-width:1024px) and (max-width:1280px) {
    header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        /* padding: 12px 152px 5px 35px; */
        padding: 12px 20vh 5px 7vh;
        background: #e3e2e2ec;
        position: sticky;
        top: 0;
        z-index: 100;
    }
}

@media (min-width:1281px) {
    header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        background: #e3e2e2ec;
        position: sticky;
        top: 0;
        z-index: 100;
        max-width: 1500px;
        margin: auto;
    }
}